      subroutine qqb_w_v(p,alphas,musq,born,virt)
      implicit none
      integer j,k
      double precision musq, born, virt
      double precision pi,pisq,pisqo6
      parameter(pi=3.14159265358979d0,pisq=pi*pi,pisqo6=pisq/6d0)
      double precision alphas, ason2pi,cf 
      parameter(cf=4d0/3d0)
      double precision epinv, epinv2
      common/to_poles/epinv, epinv2
      double precision p(0:4, 4)
      double precision s, xl12, dot

      s = 2d0* dot(p(0,1), p(0,2))

      ason2pi=alphas/(2d0*pi)

      xl12=dlog(s/musq)

c---calculate the multiple of the lowest order
c      scheme='dred'
      virt=ason2pi*cf*(-2d0*(epinv*epinv2-epinv*xl12+0.5d0*xl12**2)
     .                 -3d0*(epinv-xl12)
     .                 +pisq-7d0)
      virt=virt*born
      return
      end

